FROM alpine as qemu

RUN if [ -n "${QEMU_ARCH}" ]; then \
		wget -O /qemu-${QEMU_ARCH}-static https://github.com/multiarch/qemu-user-static/releases/download/v4.0.0-5/qemu-${QEMU_ARCH}-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-${QEMU_ARCH}-static; \
	fi; \
	chmod a+x /qemu-${QEMU_ARCH}-static

FROM ${ARCH}/alpine

LABEL com.pantavisor.features.hostproc=1

COPY --from=qemu /qemu-${QEMU_ARCH}-static /usr/bin/
ADD files/common /
# ADD files/${QEMU_ARCH} /

CMD [ "/bin/pv-update-hosts" ]
